/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2013 University of Bonn. All rights reserved.
 *
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Value_string.cpp
 *
 *  Created on: Jan 10, 2013
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Value_string.hpp"

template <>
bool Value<std::string>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException)
{
  return isValid(_value);
}

template <>
const std::string Value<std::string>::getAsString() const throw(ParameterValueException)
{
  return get();
}

template <>
void Value<std::string>::setAsString(const std::string &_value) throw(ParameterException)
{
  set(_value);
//  LOG(0, "STATUS: Value is now set to " << value << ".");
}

